%define upstream_name 	 XML-Simple
%define upstream_version 2.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easy API to maintain XML (esp config files)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::NamespaceSupport) >= 1.40.0
BuildRequires: perl(XML::SAX) >= 0.150.0
BuildRequires: perl(XML::SAX::Expat)
BuildArch:  noarch

%description
XML::Simple is a trivial perl API to manipulate XML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.220.0-3pclos2017
- rebuild against updates

